Get the activity feed's live channel
GET
/api/v3/agents/activity/channel
const url = 'https://api.tryletterhead.com/api/v3/agents/activity/channel?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/agents/activity/channel?api=true' \ --header 'Authorization: Bearer <token>'Returns the name of the private channel to subscribe to for real-time updates to the agent activity feed (see List agent activity), so new runs and judgments can appear without polling. Pair with Authenticate the activity feed channel to complete the subscription.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βQuery Parameters
Section titled βQuery Parameters β api
required
boolean
Required. Set to true.
Responses
Section titled β Responses β200 OK
Media type application/json
object
items
object
channel
string
message
string
total
integer
Example
{ "items": { "channel": "private-org-482-agent-feed" }, "message": "", "total": 1}Still can’t find what you need? Contact support.